package edu.rice.rubis.beans.servlets;

import org.ipd.methodcache.runtime.ejb.InitialContext;
import edu.rice.rubis.beans.UserIDHelper;
import edu.rice.rubis.beans.UserIDHelperBean;
import edu.rice.rubis.beans.UserIDHelperHome;

public class UserIDHelperGetter {

	public static UserIDHelper getUserIDHelper() {
		InitialContext initialContext = null;
		try
		{
			initialContext = new InitialContext();
		} 
		catch (Exception e) 
		{
			System.out.println("Cannot get initial context for JNDI: " + e+"<br>");
			return null;
		}

        UserIDHelperHome userIdHome;
    	UserIDHelper userId;
	    	
            try 
	    	{
	      		Object obj = initialContext.lookup("UserIDHelperHome");
	      		userIdHome = (UserIDHelperHome) obj;
	      		userId = userIdHome.create();
	      		return userId;
	    	} 
	    	catch (Exception e)
	    	{
	      		System.out.println("Cannot lookup UserIDHelperHome: " +e+"<br>");
	      		return null;
	    	}

	}
} 