package edu.rice.rubis.beans.servlets;

import org.ipd.methodcache.newruntime.InitialContext;
import edu.rice.rubis.beans.CategoryIDHelper;
import edu.rice.rubis.beans.CategoryIDHelperBean;
import edu.rice.rubis.beans.CategoryIDHelperHome;

public class CategoryIDHelperGetter {

	public static CategoryIDHelper getCategoryIDHelper() {
		InitialContext initialContext = null;
		try
		{
			initialContext = new InitialContext();
		} 
		catch (Exception e) 
		{
			System.out.println("Cannot get initial context for JNDI: " + e+"<br>");
			return null;
		}
		CategoryIDHelperHome cateIdHome;
    		CategoryIDHelper cateId;
	    	try 
	    	{
	      		Object obj = initialContext.lookup("CategoryIDHelperHome", CategoryIDHelperHome.class);
	      		cateIdHome = (CategoryIDHelperHome) obj;
	      		cateId = cateIdHome.create();
	      		return cateId;
	    	} 
	    	catch (Exception e)
	    	{
	      		System.out.println("Cannot lookup SB_RegisterItem: " +e+"<br>");
	      		return null;
	    	}

	}
} 